dnl $Id$
dnl config.m4 for extension cego

dnl Comments in this file start with the string 'dnl'.
dnl Remove where necessary. This file will not work
dnl without editing.

dnl If your extension references something external, use with:

PHP_ARG_WITH(cego, for cego support,
[  --with-cego             Include cego support])


if test "$PHP_CEGO" != "no"
then
  dnl Write more examples of tests here...

  dnl # --with-cego -> check with-path
  SEARCH_PATH="/usr/local /usr"     # you might want to change this
  SEARCH_FOR="/include/cgwrap.h"  # you most likely want to change this
  if test -r $PHP_CEGO/$SEARCH_FOR
  then # 	path given as parameter
     CEGO_DIR=$PHP_CEGO
  else # search default path list
     AC_MSG_CHECKING([for cego files in default path])
     for i in $SEARCH_PATH
     do
	if test -r $i/$SEARCH_FOR
	then
	  CEGO_DIR=$i
	  AC_MSG_RESULT(found in $i)
	fi
     done
  fi
 
  if test -z "$CEGO_DIR"; then
    AC_MSG_RESULT([not found])
    AC_MSG_ERROR([Please reinstall the cego distribution])
  fi

  dnl # --with-cego -> add include path
  PHP_ADD_INCLUDE($CEGO_DIR/include)

  dnl # --with-cego -> check for lib and symbol presence

  PHP_ADD_LIBRARY(stdc++,, CEGO_SHARED_LIBADD)
  PHP_ADD_LIBRARY_WITH_PATH(Base, $CEGO_DIR, CEGO_SHARED_LIBADD)
  PHP_ADD_LIBRARY_WITH_PATH(XML, $CEGO_DIR, CEGO_SHARED_LIBADD)
  PHP_ADD_LIBRARY_WITH_PATH(cego, $CEGO_DIR, CEGO_SHARED_LIBADD)
  PHP_ADD_LIBRARY_WITH_PATH(cgwrap, $CEGO_DIR, CEGO_SHARED_LIBADD)
  
  PHP_SUBST(CEGO_SHARED_LIBADD)

  PHP_NEW_EXTENSION(cego, cego.c, $ext_shared)
fi
